/// <reference path="~/Scripts/_references.js" />

function Client_Create()
{

}

function Client_Edit(modelID)
{
    Generic_Forms_SelectTab();
    
    $("#auditing").load(ZB_Relative_Path+"ZBAdmin/Audit/PartialList/"+modelID);
    $("#resumeStatus").load(ZB_Relative_Path+"ZBAdmin/Client/ResumeStatus/"+modelID);

    Generic_List_LoadDataTable("ListTicketDataTable", 3, 6, "Ticket", "Edit", "Delete", "ListClient/" + modelID, true, true, false, null, true, true);
    Generic_List_LoadDataTable("ListOrderDataTable", 3, 4, "Order", "Edit", "Delete", "ListClient/" + modelID, true, true, false, null, true, true);
    Generic_List_LoadDataTable("ListInvoiceDataTable", 1, 5, "Invoice", "Edit", "Delete", "ListClient/" + modelID, true, true, false, null, true, true);
}

function Client_List()
{
    Generic_List_LoadDataTable("ListClientDataTable", 4, 5, "Client", "Edit", "Delete", "List", true, true, true, 6, true, true, null, null);
}

function Client_Group_List()
{
    Generic_List_LoadDataTable("ListGroupDataTable", 0, 1, "ClientGroup", "Edit", "Delete", "List", true, true, false, null, false, false);
}